engine: Create job skeletons for ONAP profiles 30/4430/6
authorFatih Degirmenci <fdegir@gmail.com>
Wed, 15 Apr 2020 07:59:05 +0000 (07:59 +0000)
committerFatih Degirmenci <fdegir@gmail.com>
Wed, 15 Apr 2020 09:17:02 +0000 (09:17 +0000)
Change-Id: I261660c6b7f08726bac1199ad38d4274c5e5c597

jjb/cloud-infra/cloud-infra-periodic-onap-baremetal.yaml
jjb/cloud-infra/cloud-infra-periodic-onap.yaml
jjb/cloud-infra/onap-macros.yaml
jjb/engine/onap-periodic-jobs/onap-builder-macros.yaml [new file with mode: 0644]
jjb/engine/onap-periodic-jobs/onap-online-deploy-test-jobs.yaml [new file with mode: 0644]
jjb/engine/onap-periodic-jobs/onap-parameter-macros.yaml [new file with mode: 0644]
jjb/engine/onap-periodic-jobs/scripts/deploy.sh [new file with mode: 0755]
jjb/engine/onap-periodic-jobs/scripts/onap-healthcheck.sh [new file with mode: 0755]
jjb/engine/onap-periodic-jobs/scripts/oom-healthcheck.sh [new file with mode: 0755]
jjb/engine/onap-periodic-jobs/scripts/promote.sh [new file with mode: 0755]

index 338694770e1db8807067616920829766398dd0dc..7a50292a0a9747f05bee50da5b286d1f7687bbf0 100644 (file)
           project: '{project}'
           branch: '{nordix-branch}'
       - nordix-gerrit-parameters
-      - onap-baremetal-parameter-macro
+      - onap-baremetal-parameter-macro-legacy
       - label:
           name: SLAVE_LABEL
           default: '{slave-label}'
           project: '{project}'
           branch: '{nordix-branch}'
       - nordix-gerrit-parameters
-      - onap-baremetal-parameter-macro
+      - onap-baremetal-parameter-macro-legacy
       - label:
           name: SLAVE_LABEL
           default: 'xerces-jumphost-onap-ubuntu1804'
     builders:
       - description-setter:
           description: $DEPLOY_SCENARIO | $ONAP_FLAVOR | baremetal
-      - '{onap-other-phases}-baremetal-macro'
+      - '{onap-other-phases}-baremetal-macro-legacy'
 
 - job-template:
     name: '{onap-healthcheck-phases}-{distro}-{installer-type}-baremetal-{ci-loop}-{onap-branch}'
           project: '{project}'
           branch: '{nordix-branch}'
       - nordix-gerrit-parameters
-      - onap-baremetal-parameter-macro
+      - onap-baremetal-parameter-macro-legacy
       - label:
           name: SLAVE_LABEL
           default: 'xerces-jumphost-onap-ubuntu1804'
     builders:
       - description-setter:
           description: $DEPLOY_SCENARIO | $ONAP_FLAVOR | baremetal
-      - 'onap-healthcheck-baremetal-macro'
+      - 'onap-healthcheck-baremetal-macro-legacy'
 
 # vim: set ts=2 sw=2 expandtab:
index 558e6725c6777bce83324a7d8751ab507f5a8578..af9b8d72648beba7141e3a2f8bb2fdea996cfbd7 100644 (file)
           project: '{project}'
           branch: '{nordix-branch}'
       - nordix-gerrit-parameters
-      - onap-parameter-macro
+      - onap-parameter-macro-legacy
       - label:
           name: SLAVE_LABEL
           default: '{slave-label}'
           project: '{project}'
           branch: '{nordix-branch}'
       - nordix-gerrit-parameters
-      - onap-parameter-macro
+      - onap-parameter-macro-legacy
       - label:
           name: SLAVE_LABEL
           default: 'xerces-jumphost-onap-ubuntu1804'
     builders:
       - description-setter:
           description: $DEPLOY_SCENARIO | $ONAP_FLAVOR | $OPENSTACK_CLOUD_PROVIDER
-      - '{onap-other-phases}-macro'
+      - '{onap-other-phases}-macro-legacy'
 
 - job-template:
     name: '{onap-healthcheck-phases}-{distro}-{installer-type}-{type}-{ci-loop}-{onap-branch}'
           project: '{project}'
           branch: '{nordix-branch}'
       - nordix-gerrit-parameters
-      - onap-parameter-macro
+      - onap-parameter-macro-legacy
       - label:
           name: SLAVE_LABEL
           default: 'xerces-jumphost-onap-ubuntu1804'
     builders:
       - description-setter:
           description: $DEPLOY_SCENARIO | $ONAP_FLAVOR | $OPENSTACK_CLOUD_PROVIDER
-      - 'onap-healthcheck-macro'
+      - 'onap-healthcheck-macro-legacy'
 
 # vim: set ts=2 sw=2 expandtab:
index 55b92c97177639728bc344265c41962e246c19e8..8129201e9ed675e4f741e9bd6ec0d08d2326d590 100644 (file)
@@ -20,7 +20,7 @@
 
 # macros used by all job types on cloud
 - parameter:
-    name: 'onap-parameter-macro'
+    name: 'onap-parameter-macro-legacy'
     parameters:
       - string:
           name: PROVISIONER_TYPE
@@ -61,7 +61,7 @@
 
 # macros used by all job types on baremetal
 - parameter:
-    name: 'onap-baremetal-parameter-macro'
+    name: 'onap-baremetal-parameter-macro-legacy'
     parameters:
       - string:
           name: PROVISIONER_TYPE
           description: 'Extra parameters that can be added when run the play books.'
 
 - builder:
-    name: 'onap-deploy-macro'
+    name: 'onap-deploy-macro-legacy'
     builders:
       - shell:
           !include-raw: ./wait-for-pkg-manager.sh
           !include-raw: ./onap-deploy.sh
 
 - builder:
-    name: 'onap-deploy-baremetal-macro'
+    name: 'onap-deploy-baremetal-macro-legacy'
     builders:
       - shell:
           !include-raw: ./wait-for-pkg-manager.sh
           !include-raw: ./onap-deploy-baremetal.sh
 
 - builder:
-    name: 'oom-hc-macro'
+    name: 'oom-hc-macro-legacy'
     builders:
       - shell:
           !include-raw: ./oom-healthcheck.sh
 
 - builder:
-    name: 'oom-hc-baremetal-macro'
+    name: 'oom-hc-baremetal-macro-legacy'
     builders:
       - shell:
           !include-raw: ./oom-healthcheck.sh
 
 - builder:
-    name: 'onap-healthcheck-macro'
+    name: 'onap-healthcheck-macro-legacy'
     builders:
       - shell:
           !include-raw: ./onap-healthcheck.sh
 
 - builder:
-    name: 'onap-healthcheck-baremetal-macro'
+    name: 'onap-healthcheck-baremetal-macro-legacy'
     builders:
       - shell:
           !include-raw: ./onap-healthcheck.sh
 
 - builder:
-    name: 'promote-onap-macro'
+    name: 'promote-onap-macro-legacy'
     builders:
       - shell:
           !include-raw: ./promote-onap.sh
diff --git a/jjb/engine/onap-periodic-jobs/onap-builder-macros.yaml b/jjb/engine/onap-periodic-jobs/onap-builder-macros.yaml
new file mode 100644 (file)
index 0000000..9162c8d
--- /dev/null
@@ -0,0 +1,47 @@
+---
+#
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+- builder:
+    name: 'onap-deploy-builder-macro'
+    builders:
+      - shell:
+          !include-raw: ../scripts/wait-for-pkg-manager.sh
+      - shell:
+          !include-raw: ./scripts/deploy.sh
+
+- builder:
+    name: 'onap-oom-hc-builder-macro'
+    builders:
+      - shell:
+          !include-raw: ./scripts/oom-healthcheck.sh
+
+- builder:
+    name: 'onap-hc-builder-macro'
+    builders:
+      - shell:
+          !include-raw: ./scripts/onap-healthcheck.sh
+
+- builder:
+    name: 'onap-promote-builder-macro'
+    builders:
+      - shell:
+          !include-raw: ./scripts/promote.sh
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/engine/onap-periodic-jobs/onap-online-deploy-test-jobs.yaml b/jjb/engine/onap-periodic-jobs/onap-online-deploy-test-jobs.yaml
new file mode 100644 (file)
index 0000000..e6514e6
--- /dev/null
@@ -0,0 +1,419 @@
+---
+#
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+#--------------------------------------------------------------------------------------
+# The jobs declared in this JJB configuration file are used for deploying and testing
+# ONAP scenario onap-nofeature-noha.
+#--------------------------------------------------------------------------------------
+
+- project:
+    name: 'onap-deploy-test-online'
+
+    project: 'infra/engine'
+
+    distro:
+      - ubuntu1804
+
+    deploy-scenario:
+      - k8-calico-onap:
+          deploy-scenario-version: master
+          deploy-scenario-refspec: master
+
+    onap-profile:
+      - sdc
+      - so
+
+    onap-branch:
+      - elalto:
+          onap-version: elalto
+          nordix-branch: master
+          engine-version: master
+          engine-refspec: master
+          disabled: false
+      - master:
+          onap-version: master
+          nordix-branch: master
+          engine-version: master
+          engine-refspec: master
+          disabled: false
+
+    type:
+      - cloud:
+          pod-name: est-cloud
+          provisioner-type: bifrost
+          installer-type: kubespray
+
+    environment-type:
+      - online:
+          execution-mode: online-deployment
+
+    cloud:
+      - city:
+          slave-label: 'city-jumphost-ubuntu1804'
+          openrc-credentials-file: 'est-jenkins-openrcfile-city-frankfurt-onap'
+          daily-trigger: '@midnight'
+
+    ci-loop:
+      - periodic
+
+    job-phase:
+      - deploy:
+          build-timeout: 420
+      - oom-hc:
+          build-timeout: 30
+          test-type: oom-healthcheck
+      - hc:
+          build-timeout: 30
+          test-type: onap-healthcheck
+      - promote:
+          build-timeout: 240
+
+    jobs:
+      - '{deploy-scenario}-{onap-profile}-{environment-type}-{distro}-{type}-{ci-loop}-{cloud}-{onap-branch}'
+      - 'onap-{onap-profile}-{job-phase}-{environment-type}-{distro}-{type}-{ci-loop}-{cloud}-{onap-branch}'
+
+- job-template:
+    name: '{deploy-scenario}-{onap-profile}-{environment-type}-{distro}-{type}-{ci-loop}-{cloud}-{onap-branch}'
+
+    project-type: multijob
+
+    disabled: '{obj:disabled}'
+
+    concurrent: false
+
+    parameters:
+      - project-parameters:
+          project: '{project}'
+          branch: '{nordix-branch}'
+      - nordix-gerrit-parameters
+      - label:
+          name: SLAVE_LABEL
+          default: '{slave-label}'
+          description: 'Slave label to schedule this job on. All slaves have Ubuntu1604 no matter what distro target nodes use'
+      - string:
+          name: PROVISIONER_TYPE
+          default: 'heat'
+          description: 'Provisioner to use for provisioning nodes'
+      - string:
+          name: INSTALLER_TYPE
+          default: 'kubespray'
+          description: 'Installer to use for deploying the scenario'
+      - string:
+          name: DEPLOY_SCENARIO
+          default: '{deploy-scenario}'
+          description: 'Scenario to deploy and test'
+      - string:
+          name: DEPLOY_TYPE
+          default: '{type}'
+          description: 'Type of the deployment'
+      - string:
+          name: DISTRO
+          default: '{distro}'
+          description: 'Distribution to use for configuring target nodes (networking etc.)'
+      - string:
+          name: ONAP_VERSION
+          default: '{onap-version}'
+          description: 'ONAP version to deploy'
+      - string:
+          name: ONAP_PROFILE
+          default: '{onap-profile}'
+          description: 'ONAP profile to deploy - could be sdc or so.'
+      - string:
+          name: OPENSTACK_CLOUD_PROVIDER
+          default: '{cloud}'
+          description: 'Name of the cloud where this job is run'
+      - string:
+          name: STACK_NAME
+          default: 'nordix-cicd-{deploy-scenario}-{onap-profile}-{onap-branch}'
+          description: 'Stack to create'
+      - string:
+          name: KEYPAIR_NAME
+          default: 'keypair-nordix-cicd-{deploy-scenario}-{onap-profile}-{onap-branch}'
+          description: 'Keypair to create and use'
+      - string:
+          name: HEAT_ENVIRONMENT_FILENAME
+          default: 'heat-environment-{cloud}-{distro}-{onap-profile}.yaml'
+          description: 'Heat environment file to use'
+      - string:
+          name: EXECUTION_MODE
+          default: '{execution-mode}'
+          description: 'Engine execution mode - could be online-deployment or offline-deployment'
+      - string:
+          name: ENGINE_VERSION
+          default: '{engine-version}'
+          description: 'Development purposes only! Nordix Cloud Infra Engine version to use for deploying ONAP. Could be sha, branch'
+      - string:
+          name: ENGINE_REFSPEC
+          default: '{engine-refspec}'
+          description: 'Development purposes only! Nordix Cloud Infra Engine version to use for deploying ONAP. Must be refspec.'
+      - string:
+          name: DEPLOY_SCENARIO_VERSION
+          default: '{deploy-scenario-version}'
+          description: 'Development purposes only! Nordix Cloud Infra Scenario version to use for deploying ONAP. Depends on DEPLOY_SCENARIO_REFSPEC and could be sha, branch.'
+      - string:
+          name: DEPLOY_SCENARIO_REFSPEC
+          default: '{deploy-scenario-refspec}'
+          description: 'Development purposes only! Nordix Cloud Infra Scenario version to use for deploying ONAP. Depends on DEPLOY_SCENARIO_VERSION and must be refspec.'
+      - string:
+          name: POD_NAME
+          default: 'none'
+          description: 'Development purposes only! Set to none for disabling test results DB reporting.'
+      - string:
+          name: TEST_TYPE
+          default: 'oom-healthcheck'
+          description: 'Test type to run. Could be oom-healthcheck or onap-healthcheck'
+      - string:
+          name: NORDIX_ARM_REPO_URL
+          default: 'https://artifactory.nordix.org/artifactory'
+          description: 'URL to Nordix Artifactory'
+      - string:
+          name: NORDIX_HARBOR_REPO_URL
+          default: 'registry.nordix.org'
+          description: 'URL to Nordix Harbor'
+      - string:
+          name: XTESTING_REPO_URL
+          default: 'https://gerrit.nordix.org/opnfv/xtesting-onap.git'
+          description: 'URL to Nordix xtesting-onap repository'
+      - string:
+          name: ENGINE_ANSIBLE_PARAMS
+          default: ''
+          description: 'Extra parameters that can be added when run the play books.'
+
+    properties:
+      - logrotate
+      - build-blocker:
+          use-build-blocker: true
+          blocking-jobs:
+            - 'cloud-infra-verify-engine-.*'
+            - 'cloud-infra-verify-scenario-.*'
+            - 'cloud-infra-periodic-engine-.*'
+            - 'onap-.*'
+            - 'k8-.*'
+            - 'os-.*'
+            - 'nolabs-.*'
+          block-level: 'NODE'
+      - throttle:
+          max-per-node: 1
+          max-total: 1
+          option: project
+
+    wrappers:
+      - mask-passwords
+      - build-timeout:
+          timeout: 630
+      - fix-workspace-permissions
+
+    triggers:
+      - timed: '{daily-trigger}'
+
+    scm:
+      - git-scm:
+          ssh-credentials-id: nordixinfra-nordix-gerrit-ssh
+          branch: '{nordix-branch}'
+          refspec: ''
+          wipe_workspace: true
+          clean_before: false
+
+    builders:
+      - description-setter:
+          description: $DEPLOY_SCENARIO | $ONAP_PROFILE
+      - multijob:
+          name: Deploy ONAP using OOM (not activated)
+          condition: ALWAYS
+          projects:
+            - name: 'onap-{environment-type}-deploy-{distro}-{type}-{ci-loop}-{cloud}-{onap-branch}'
+              current-parameters: false
+              predefined-parameters: |
+                DISTRO=$DISTRO
+                PROVISIONER_TYPE=$PROVISIONER_TYPE
+                INSTALLER_TYPE=$INSTALLER_TYPE
+                DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+                ONAP_VERSION=$ONAP_VERSION
+                ONAP_PROFILE=$ONAP_PROFILE
+                POD_NAME=$POD_NAME
+                OPENSTACK_CLOUD_PROVIDER=$OPENSTACK_CLOUD_PROVIDER
+                STACK_NAME=$STACK_NAME
+                KEYPAIR_NAME=$KEYPAIR_NAME
+                HEAT_ENVIRONMENT_FILENAME=$HEAT_ENVIRONMENT_FILENAME
+                EXECUTION_MODE=$EXECUTION_MODE
+                ENGINE_VERSION=$ENGINE_VERSION
+                ENGINE_REFSPEC=$ENGINE_REFSPEC
+                DEPLOY_SCENARIO_VERSION=$DEPLOY_SCENARIO_VERSION
+                DEPLOY_SCENARIO_REFSPEC=$DEPLOY_SCENARIO_REFSPEC
+                XTESTING_REPO_URL=$XTESTING_REPO_URL
+                ENGINE_ANSIBLE_PARAMS=$ENGINE_ANSIBLE_PARAMS
+              git-revision: true
+              node-parameters: true
+              kill-phase-on: NEVER
+              abort-all-job: false
+      - multijob:
+          name: K8S and OOM Healthcheck using xtesting (not activated)
+          condition: ALWAYS
+          projects:
+            - name: 'onap-{onap-profile}-oom-hc-{environment-type}-{distro}-{type}-{ci-loop}-{cloud}-{onap-branch}'
+              current-parameters: false
+              predefined-parameters: |
+                DISTRO=$DISTRO
+                PROVISIONER_TYPE=$PROVISIONER_TYPE
+                INSTALLER_TYPE=$INSTALLER_TYPE
+                DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+                ONAP_VERSION=$ONAP_VERSION
+                ONAP_PROFILE=$ONAP_PROFILE
+                TEST_TYPE=oom-healthcheck
+                POD_NAME=$POD_NAME
+                OPENSTACK_CLOUD_PROVIDER=$OPENSTACK_CLOUD_PROVIDER
+                STACK_NAME=$STACK_NAME
+                KEYPAIR_NAME=$KEYPAIR_NAME
+                HEAT_ENVIRONMENT_FILENAME=$HEAT_ENVIRONMENT_FILENAME
+                EXECUTION_MODE=$EXECUTION_MODE
+                ENGINE_VERSION=$ENGINE_VERSION
+                ENGINE_REFSPEC=$ENGINE_REFSPEC
+                DEPLOY_SCENARIO_VERSION=$DEPLOY_SCENARIO_VERSION
+                DEPLOY_SCENARIO_REFSPEC=$DEPLOY_SCENARIO_REFSPEC
+                XTESTING_REPO_URL=$XTESTING_REPO_URL
+                ENGINE_ANSIBLE_PARAMS=$ENGINE_ANSIBLE_PARAMS
+              node-parameters: true
+              kill-phase-on: NEVER
+              abort-all-job: false
+      - multijob:
+          name: ONAP Healthcheck using xtesting (not activated)
+          execution-type: SEQUENTIALLY
+          condition: ALWAYS
+          projects:
+            - name: 'onap-{onap-profile}-hc-{environment-type}-{distro}-{type}-{ci-loop}-{cloud}-{onap-branch}'
+              current-parameters: false
+              predefined-parameters: |
+                SLAVE_LABEL=$SLAVE_LABEL
+                DISTRO=$DISTRO
+                PROVISIONER_TYPE=$PROVISIONER_TYPE
+                INSTALLER_TYPE=$INSTALLER_TYPE
+                DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+                ONAP_VERSION=$ONAP_VERSION
+                ONAP_PROFILE=$ONAP_PROFILE
+                TEST_TYPE=sdc-healthcheck
+                POD_NAME=$POD_NAME
+                OPENSTACK_CLOUD_PROVIDER=$OPENSTACK_CLOUD_PROVIDER
+                STACK_NAME=$STACK_NAME
+                KEYPAIR_NAME=$KEYPAIR_NAME
+                HEAT_ENVIRONMENT_FILENAME=$HEAT_ENVIRONMENT_FILENAME
+                ENGINE_VERSION=$ENGINE_VERSION
+                EXECUTION_MODE=$EXECUTION_MODE
+                ENGINE_REFSPEC=$ENGINE_REFSPEC
+                DEPLOY_SCENARIO_VERSION=$DEPLOY_SCENARIO_VERSION
+                DEPLOY_SCENARIO_REFSPEC=$DEPLOY_SCENARIO_REFSPEC
+                XTESTING_REPO_URL=$XTESTING_REPO_URL
+                ENGINE_ANSIBLE_PARAMS=$ENGINE_ANSIBLE_PARAMS
+              node-parameters: true
+              kill-phase-on: NEVER
+              abort-all-job: false
+            - name: 'onap-{environment-type}-{onap-profile}-healthdist-{distro}-{type}-{ci-loop}-{cloud}-{onap-branch}'
+              current-parameters: false
+              predefined-parameters: |
+                SLAVE_LABEL=$SLAVE_LABEL
+                DISTRO=$DISTRO
+                PROVISIONER_TYPE=$PROVISIONER_TYPE
+                INSTALLER_TYPE=$INSTALLER_TYPE
+                DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+                ONAP_VERSION=$ONAP_VERSION
+                ONAP_PROFILE=$ONAP_PROFILE
+                TEST_TYPE=onap-healthcheck
+                POD_NAME=$POD_NAME
+                OPENSTACK_CLOUD_PROVIDER=$OPENSTACK_CLOUD_PROVIDER
+                STACK_NAME=$STACK_NAME
+                KEYPAIR_NAME=$KEYPAIR_NAME
+                HEAT_ENVIRONMENT_FILENAME=$HEAT_ENVIRONMENT_FILENAME
+                EXECUTION_MODE=$EXECUTION_MODE
+                ENGINE_VERSION=$ENGINE_VERSION
+                ENGINE_REFSPEC=$ENGINE_REFSPEC
+                DEPLOY_SCENARIO_VERSION=$DEPLOY_SCENARIO_VERSION
+                DEPLOY_SCENARIO_REFSPEC=$DEPLOY_SCENARIO_REFSPEC
+                XTESTING_REPO_URL=$XTESTING_REPO_URL
+                ENGINE_ANSIBLE_PARAMS=$ENGINE_ANSIBLE_PARAMS
+              node-parameters: true
+              kill-phase-on: NEVER
+              abort-all-job: false
+      - multijob:
+          name: Promote ONAP (not activated)
+          condition: ALWAYS
+          projects:
+            - name: 'onap-{onap-profile}-promote-{environment-type}-{distro}-{type}-{ci-loop}-{cloud}-{onap-branch}'
+              current-parameters: false
+              predefined-parameters: |
+                SLAVE_LABEL=$SLAVE_LABEL
+                DISTRO=$DISTRO
+                PROVISIONER_TYPE=$PROVISIONER_TYPE
+                INSTALLER_TYPE=$INSTALLER_TYPE
+                DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+                ONAP_VERSION=$ONAP_VERSION
+                ONAP_PROFILE=$ONAP_PROFILE
+                POD_NAME=$POD_NAME
+                EXECUTION_MODE=$EXECUTION_MODE
+                ENGINE_VERSION=$ENGINE_VERSION
+                ENGINE_REFSPEC=$ENGINE_REFSPEC
+                DEPLOY_SCENARIO_VERSION=$DEPLOY_SCENARIO_VERSION
+                DEPLOY_SCENARIO_REFSPEC=$DEPLOY_SCENARIO_REFSPEC
+                XTESTING_REPO_URL=$XTESTING_REPO_URL
+                ENGINE_ANSIBLE_PARAMS=$ENGINE_ANSIBLE_PARAMS
+              node-parameters: true
+              kill-phase-on: NEVER
+              abort-all-job: false
+
+- job-template:
+    name: 'onap-{onap-profile}-{job-phase}-{environment-type}-{distro}-{type}-{ci-loop}-{cloud}-{onap-branch}'
+
+    disabled: false
+
+    concurrent: true
+
+    properties:
+      - logrotate
+
+    parameters:
+      - onap-parameter-macro
+
+    wrappers:
+      - mask-passwords
+      - build-timeout:
+          timeout: '{build-timeout}'
+      - fix-workspace-permissions
+      - credentials-binding:
+          - username-password-separated:
+              credential-id: 'nordix-cicd-arm-credentials'
+              username: NORDIX_ARM_USERNAME
+              password: NORDIX_ARM_TOKEN
+          - username-password-separated:
+              credential-id: 'nordix-cicd-harbor-credentials'
+              username: NORDIX_HARBOR_USERNAME
+              password: NORDIX_HARBOR_PASSWORD
+
+    scm:
+      - git-scm:
+          ssh-credentials-id: nordixinfra-nordix-gerrit-ssh
+          branch: '{nordix-branch}'
+          refspec: ''
+          wipe_workspace: true
+          clean_before: false
+
+    builders:
+      - description-setter:
+          description: $DEPLOY_SCENARIO | $ONAP_PROFILE
+      - 'onap-{job-phase}-builder-macro'
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/engine/onap-periodic-jobs/onap-parameter-macros.yaml b/jjb/engine/onap-periodic-jobs/onap-parameter-macros.yaml
new file mode 100644 (file)
index 0000000..511837a
--- /dev/null
@@ -0,0 +1,122 @@
+---
+#
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+# macros used by all job types on cloud
+- parameter:
+    name: 'onap-parameter-macro'
+    parameters:
+      - project-parameters:
+          project: 'infra/engine'
+          branch: 'master'
+      - nordix-gerrit-parameters
+      - label:
+          name: SLAVE_LABEL
+          default: 'city-jumphost-ubuntu1804'
+          description: 'Slave label to schedule this job on. All slaves have Ubuntu1604 no matter what distro target nodes use'
+      - string:
+          name: PROVISIONER_TYPE
+          default: 'heat'
+          description: 'Provisioner to use for provisioning nodes'
+      - string:
+          name: INSTALLER_TYPE
+          default: 'kubespray'
+          description: 'Installer to use for deploying the scenario'
+      - string:
+          name: DEPLOY_SCENARIO
+          default: 'k8-calico-onap'
+          description: 'Scenario to deploy and test'
+      - string:
+          name: DEPLOY_TYPE
+          default: 'cloud'
+          description: 'Type of the deployment'
+      - string:
+          name: DISTRO
+          default: 'ubuntu1804'
+          description: 'Distribution to use for configuring target nodes (networking etc.)'
+      - string:
+          name: ONAP_VERSION
+          default: '{onap-version}'
+          description: 'ONAP version to deploy'
+      - string:
+          name: ONAP_PROFILE
+          default: 'sdc'
+          description: 'ONAP profile to deploy - could be sdc or so.'
+      - string:
+          name: OPENSTACK_CLOUD_PROVIDER
+          default: 'city'
+          description: 'Name of the cloud where this job is run'
+      - string:
+          name: STACK_NAME
+          default: 'nordix-cicd-k8-calico-onap-sdc-master'
+          description: 'Stack to create'
+      - string:
+          name: KEYPAIR_NAME
+          default: 'keypair-nordix-cicd-k8-calico-onap-sdc-master'
+          description: 'Keypair to create and use'
+      - string:
+          name: HEAT_ENVIRONMENT_FILENAME
+          default: 'heat-environment-city-ubuntu1804-sdc.yaml'
+          description: 'Heat environment file to use'
+      - string:
+          name: EXECUTION_MODE
+          default: 'online-deployment'
+          description: 'Engine execution mode - could be online-deployment or offline-deployment'
+      - string:
+          name: ENGINE_VERSION
+          default: 'master'
+          description: 'Development purposes only! Nordix Cloud Infra Engine version to use for deploying ONAP. Could be sha, branch'
+      - string:
+          name: ENGINE_REFSPEC
+          default: 'master'
+          description: 'Development purposes only! Nordix Cloud Infra Engine version to use for deploying ONAP. Must be refspec.'
+      - string:
+          name: DEPLOY_SCENARIO_VERSION
+          default: 'master'
+          description: 'Development purposes only! Nordix Cloud Infra Scenario version to use for deploying ONAP. Depends on DEPLOY_SCENARIO_REFSPEC and could be sha, branch.'
+      - string:
+          name: DEPLOY_SCENARIO_REFSPEC
+          default: 'master'
+          description: 'Development purposes only! Nordix Cloud Infra Scenario version to use for deploying ONAP. Depends on DEPLOY_SCENARIO_VERSION and must be refspec.'
+      - string:
+          name: POD_NAME
+          default: 'none'
+          description: 'Development purposes only! Set to none for disabling test results DB reporting.'
+      - string:
+          name: TEST_TYPE
+          default: 'oom-healthcheck'
+          description: 'Test type to run. Could be oom-healthcheck or onap-healthcheck'
+      - string:
+          name: NORDIX_ARM_REPO_URL
+          default: 'https://artifactory.nordix.org/artifactory'
+          description: 'URL to Nordix Artifactory'
+      - string:
+          name: NORDIX_HARBOR_REPO_URL
+          default: 'registry.nordix.org'
+          description: 'URL to Nordix Harbor'
+      - string:
+          name: XTESTING_REPO_URL
+          default: 'https://gerrit.nordix.org/opnfv/xtesting-onap.git'
+          description: 'URL to Nordix xtesting-onap repository'
+      - string:
+          name: ENGINE_ANSIBLE_PARAMS
+          default: ''
+          description: 'Extra parameters that can be added when run the play books.'
+
+# vim: set ts=2 sw=2 expandtab:
diff --git a/jjb/engine/onap-periodic-jobs/scripts/deploy.sh b/jjb/engine/onap-periodic-jobs/scripts/deploy.sh
new file mode 100755 (executable)
index 0000000..34a3d7f
--- /dev/null
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o nounset
+set -o errexit
+set -o pipefail
+
+echo "Deployment is not enabled yet!"
diff --git a/jjb/engine/onap-periodic-jobs/scripts/onap-healthcheck.sh b/jjb/engine/onap-periodic-jobs/scripts/onap-healthcheck.sh
new file mode 100755 (executable)
index 0000000..64f0daf
--- /dev/null
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o nounset
+set -o errexit
+set -o pipefail
+
+echo "Testing is not enabled yet!"
diff --git a/jjb/engine/onap-periodic-jobs/scripts/oom-healthcheck.sh b/jjb/engine/onap-periodic-jobs/scripts/oom-healthcheck.sh
new file mode 100755 (executable)
index 0000000..64f0daf
--- /dev/null
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o nounset
+set -o errexit
+set -o pipefail
+
+echo "Testing is not enabled yet!"
diff --git a/jjb/engine/onap-periodic-jobs/scripts/promote.sh b/jjb/engine/onap-periodic-jobs/scripts/promote.sh
new file mode 100755 (executable)
index 0000000..8f3449a
--- /dev/null
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o nounset
+set -o errexit
+set -o pipefail
+
+echo "Promotion is not enabled yet!"